- Qt 5.15
- Qt 3D
- C++ Classes
- QPropertyUpdatedChangeBase
- Qt 5.15.18 Reference Documentation

# QPropertyUpdatedChangeBase Class

class Qt3DCore::QPropertyUpdatedChangeBase

The QPropertyUpdatedChangeBase class is the base class for all PropertyUpdated QSceneChange events. More...

Header: | #include <Qt3DCore/QPropertyUpdatedChangeBase>
qmake: | QT += 3dcore
Inherits: | Qt3DCore::QSceneChange
Inherited By: | Qt3DCore::QDynamicPropertyUpdatedChange and Qt3DCore::QStaticPropertyUpdatedChangeBase

- List of all members, including inherited members

## Protected Functions

| QPropertyUpdatedChangeBase(QNodeId subjectId)

## Related Non-Members

typedef | QPropertyUpdatedChangeBasePtr

## Detailed Description

The QPropertyUpdatedChangeBase class is the base class for all QSceneChange events that have the changeType() PropertyUpdated. You should not need to instantiate this class. Usually you should be using one of its subclasses such as QPropertyUpdatedChange or QTypedPropertyUpdatedChange.

You can subclass this to create your own node update types for communication between your QNode and QBackendNode subclasses when writing your own aspects.

## Member Function Documentation

### `[protected]` QPropertyUpdatedChangeBase::QPropertyUpdatedChangeBase(QNodeId subjectId)

Constructs a new QPropertyUpdatedChangeBase with subjectId

## Related Non-Members

### typedef QPropertyUpdatedChangeBasePtr

A shared pointer for QPropertyUpdatedChangeBase.